Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.transviewer
Class DBAccessBeanInfo

    java.lang.Object
      |
      +--java.beans.SimpleBeanInfo
            |
            +--oracle.xml.transviewer.DBAccessBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

Deprecated.

Please use oracle.xml.dbaccess.DBAccessBeanInfo

public class DBAccessBeanInfo
extends java.beans.SimpleBeanInfo

Provides information about the DBAccess bean.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`DBAccessBeanInfo()` Deprecated. Constructor

Method Summary
`java.awt.Image` | `getIcon(int iconKind)` Deprecated.
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Deprecated.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBAccessBeanInfo

    public DBAccessBeanInfo()

  Deprecated.
  Constructor

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Deprecated.
  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Deprecated.
  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.